Skip to main content

Start Session Without Loyalty ID (anonymous)

POST 

/client/users/anonymous/sessions

  • Initiates an anonymous session and captures a correlation ID that will span all the calls during this customer session.

  • Depending on whether or not the POS will remember to skip point prompt for anonymous sessions, we might need to adjust the response to cater to its need.

Request

Path Variables

  • None

Body

AttributeDescriptionFormatNotes
correlationIdUnique identifier for the sessionStringRecommended format is as GUID.
externalIdentifierUnique identifier of the session for an external systemString
channelThe channel for the transactions.StringFor instance, "STORE", "APP", etc.
localeLocale of the member.String, values currently supported are: "en-CA", "en-US" and "fr-CA"; "EN" and "FR" can be used as well, but only for the member record (on the account level)Optional. Priority order: (1) this query parameter; (2) locale set on the account; (3) environment locale. If locale is not provided or is not a valid value, system default ("en-CA") is used.
anonymousSessionIdFlag to shown whether the request is made for an anonymous member.StringOptional. The flag allows a special prompt to be displayed to members not using a loyalty card number to tell them the points they would have earned had they swiped.

Response

To see the hierarchy, view the Example Response.

AttributeDescriptionFormatNotes
loyaltyIdTo show the ID for the loyalty account. Indicates that there is currently no loyaltyIdString: "anonymous"User is associated with loyaltyId when they register online
membershipTypeIndicates that user is not yet a memberString: "N"Always set to "N" for this type of request
statusStatus of user without loyalty IDString: Example: "NO_CARD"
promptPrompt codeString. Example: "REQUEST_EMAIL"What type of prompt is being returned. Can be empty.
isValidValid sessionBoolean: true or falseLegacy attribute.
promptMessageFirst part of Prompt MessageString: Example: "Would the customer like to learn more about our loyalty program?"First part of message displayed to user or POS agent. Can be empty.
receiptMessageReceipt Message (Prompt)String: Example: "Join the loyalty program to claim the points you earned on this purchase."Prompt Message to print on the user's receipt, if applicable. Can be empty.
pointsBalanceUser's current point balanceNumberThis may be a number other than 0 if the card is unregistered. "Ghost cards" can accumulate points.
userMaxRedeemDollarsThe maximum number of dollar that can be redeemedNumberFor a ghost card, this is set to 0
redemptionRulesSub-attributes set min and max points to be redeemed and redemption incrementsObject
minRedeemPointsThe minimum number of points that can be redeemed at one timeNumberThe minimum number of points this user would be able to redeem this session if they were registered.
minRedeemAmountThe minimum cash value that can be redeemed at one timeNumberThis is the minimum amount of currency the user would be able to redeem this session if they were registered.
maxRedeemPointsThe maximum number of points that can be redeemed at one timeNumberThe maximum number of points this user would be able to redeem this session if they were registered.
maxRedeemAmountThe maximum cash value that can be redeemed at one timeNumberThis is the maximum amount of currency the user would be able to redeem this session if they were registered.
redeemIncrementPointsThe increments of points that can be redeemedNumberFor instance, if this is set to "25000" then 25000, 50000, or 75000 points could be redeemed, or another 25000 point increment up to the maximum.
redeemIncrementAmountThe increments in cash that can be redeemedNumberFor instance, if this is set to "10" then $10, $20, or $30 could be redeemed, or another $10 increment up to the maximum.
currencyThe currency in which redemption takes placeStringThe type of currency used for monetary values
sessionCorrelationIdcorrelationId for the sessionStringThis will always match the correlationId passed in the request.
receiptPreferenceThe preference of the user for receipt messagesString: "UNKNOWN"The value is always UNKNOWN for an unregistered user

Error Responses

statusCodeerrorMessageerrorCodeDefinition
400 Bad RequestInvalid Correlation IDINVALID_REQUESTCorrelation ID is not a valid value

Request

Responses

200 - Start Session without loyalty id (anonymous session)

Response Headers
    Date
    Example: Thu, 21 May 2020 03:47:20 GMT
    Content-Length
    Example: 526
    Connection
    Example: keep-alive
    x-amzn-RequestId
    Example: 5115314e-2a29-4e5e-af58-258f9f261716
    Referrer-Policy
    Example: no-referrer
    X-XSS-Protection
    Example: 1;mode=block
    Access-Control-Allow-Origin
    Example: *
    Expect-CT
    Example: max-age=86400
    Strict-Transport-Security
    Example: max-age=31536000
    Feature-Policy
    Example: vibrate 'none'; geolocation 'none'
    X-Frame-Options
    Example: sameorigin
    Content-Security-Policy
    Example: connect-src 'none';object-src https://*.cloudfront.net;script-src https://*.cloudfront.net
    x-amz-apigw-id
    Example: M3P3SE3toAMF85g=
    cache-control
    Example: no-cache, no-store, must-revalidate
    X-Content-Type-Options
    Example: nosniff
    X-Amzn-Trace-Id
    Example: Root=1-5ec5f9c8-4b721db5cad31af8f61a6807;Sampled=0